# $Revision: 1.26 $, $Date: 2012/01/15 21:30:00 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Image
%define		pnam	Xpm
Summary:	Image::Xpm - load, create, manipulate and save xpm image files
Summary(pl.UTF-8):	Image::Xpm - wczytaj, twórz, modyfikuj i zapisuj obrazy w formacie xpm
Name:		perl-Image-Xpm
Version:	1.12
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e8dce284cd4c97b151bfbd1f0bbd1cb1
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Image-Base >= 1.06
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class module provides basic load, manipulate and save
functionality for the xpm file format.  It inherits from Image::Base
which provides additional manipulation functionality, e.g.
new_from_image().

%description -l pl.UTF-8
Image::Xpm dostarcza prostej funkconalności do wczytywania, manipulacji
i zapisywania obrazów w formacie xpm.  Dziedziczy po Image::Base,
dostarczającym dodatkowych funkcji manipulacyjnych; np. new_from_image().

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Image/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Image-Xpm.spec,v $
Revision 1.26  2012/01/15 21:30:00  zbyniu
- up to 1.12

Revision 1.25  2009/11/26 13:25:01  amateja
- updated to 1.10

Revision 1.24  2008/07/27 22:37:47  arekm
- release 6

Revision 1.23  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:37  baggins
- converted to UTF-8

Revision 1.21  2004/11/03 22:30:28  paladine
- formatting

Revision 1.20  2004/05/07 01:22:54  ankry
- rel. 5

Revision 1.19  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.18  2004/04/25 00:50:56  ankry
- cosmetics: unification

Revision 1.17  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.16  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.15  2003/09/09 10:24:39  ankry
- spaces -> tab

Revision 1.14  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.13  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.10  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.9  2003/02/25 00:39:28  radek
- use the __perl macro

Revision 1.8  2003/02/18 15:34:19  ankry
- massive attack: change CPAN URLs

Revision 1.7  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.6  2002/08/31 11:09:30  radek
- conditional tests, removed useless README, fixed License field,
  provided informative summary/description; release 3

Revision 1.5  2002/07/20 15:38:59  kloczek
- release 2.

Revision 1.4  2002/07/20 10:21:02  qboosh
- BR: perl-Image-Base

Revision 1.3  2002/07/10 08:47:48  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.2  2002/05/25 11:12:37  qboosh
- pl description

Revision 1.1  2002/05/23 13:10:37  jajcus
- new specs; needed for bins package
